List all vault secret names
curl --request GET \
--url https://your-instance.example.com/api/vault \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-instance.example.com/api/vault"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-instance.example.com/api/vault', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"name": "TWILIO_AUTH_TOKEN"
},
{
"name": "OPENAI_API_KEY"
},
{
"name": "STRIPE_SECRET"
}
]
}{
"success": false,
"message": "WorkOS is not enabled",
"error": "WORKOS_DISABLED"
}Vault
List all vault secret names
Returns the names of every secret stored in WorkOS Vault for the caller’s organization. Values are never returned by the list endpoint. Requires WorkOS to be enabled on the deployment.
GET
/
api
/
vault
List all vault secret names
⌘I